List Tasks
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/tasks \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tasks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"title": "<string>",
"status": {
"key": "<string>",
"label": "<string>",
"category": "<string>",
"role": "<string>"
},
"priority": "<string>",
"labels": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"links": [
{
"id": "<string>",
"target_type": "<string>",
"target_id": "<string>",
"context": {
"conversation_id": "<string>",
"message_id": "<string>"
},
"deleted": true,
"admin_url": "<string>"
}
],
"source": "<string>",
"revision": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"admin_url": "<string>",
"identifier": "<string>",
"description": "",
"deadline": "2023-12-25",
"owner": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"created_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"finished_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"object": "list",
"next_cursor": "<string>",
"total": 123
}Tasks
List Tasks
List tasks, most recently updated first. Archived tasks are excluded unless include_archived=true.
Paginate with next_cursor. Sort with updated, created, deadline, priority, or manual (board order).
GET
/
api
/
v1
/
tasks
List Tasks
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/tasks \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tasks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"title": "<string>",
"status": {
"key": "<string>",
"label": "<string>",
"category": "<string>",
"role": "<string>"
},
"priority": "<string>",
"labels": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"links": [
{
"id": "<string>",
"target_type": "<string>",
"target_id": "<string>",
"context": {
"conversation_id": "<string>",
"message_id": "<string>"
},
"deleted": true,
"admin_url": "<string>"
}
],
"source": "<string>",
"revision": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"admin_url": "<string>",
"identifier": "<string>",
"description": "",
"deadline": "2023-12-25",
"owner": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"created_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"finished_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"object": "list",
"next_cursor": "<string>",
"total": 123
}Authorizations
Query Parameters
mine, review, unowned, or all
me, none, or a user id (comma-separate several)
Status keys, comma-separated
todo, in_progress, done, canceled (comma-separated)
Label ids or none, comma-separated
Case-insensitive match on the title, or a task identifier such as TASK-12
